# List transcription jobs

> GET https://api.nabrah.ai/api/ext/stt/jobs

Group: Speech to text. Page: https://www.nabrah.ai/en/docs/api-reference/speech-to-text/list-transcription-jobs

List the async transcription jobs that belong to the project tied to your API key. Optionally filter by job status. Authenticate with the `X-API-Key` header.

## Response shape

A `jobs` array, newest first. Each job has the same fields as the single-job endpoint.

- **status**: `queued`, `in_progress`, `completed`, `failed`, or `canceled`.
- **recognition_config**: The recognition settings the job was queued with: `recognition_model`, `end_of_utterance_silence_ms`, `priority_words` and `priority_words_strength`. Fields: `recognition_config`.

## Authorization

- `X-API-Key` (string, header, required): your workspace API key.

## Query parameters

- `status` (string, optional): Filter jobs by status. One of `queued`, `in_progress`, `completed`, `failed`, `canceled`. Omit to return jobs in every status.

## Response

### 200 Successful Response

Content type: `application/json`

```json
{
  "jobs": [
    {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "status": "completed",
      "project_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "result": {
        "text_result": "string",
        "audio_duration": 0,
        "timestamps": {
          "timestep": [
            0
          ],
          "char": [],
          "word": [],
          "segment": []
        }
      },
      "created_at": "2026-07-23T12:00:00Z",
      "updated_at": "2026-07-23T12:00:00Z",
      "filename": "recording.mp3"
    }
  ]
}
```

### 422 Validation Error

Content type: `application/json`

```json
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}
```

## Request examples

### cURL

```bash
curl --request GET \
  --url 'https://api.nabrah.ai/api/ext/stt/jobs' \
  --header 'X-API-Key: <your-api-key>'
```

### Python

```python
import requests

url = "https://api.nabrah.ai/api/ext/stt/jobs"
headers = {"X-API-Key": "<your-api-key>"}

response = requests.get(url, headers=headers)
response.raise_for_status()
print(response.json())
```

### JavaScript

```javascript
const response = await fetch("https://api.nabrah.ai/api/ext/stt/jobs", {
  method: "GET",
  headers: { "X-API-Key": "<your-api-key>" },
});

const data = await response.json();
console.log(data);
```

### Go

```go
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	req, _ := http.NewRequest("GET", "https://api.nabrah.ai/api/ext/stt/jobs", nil)
	req.Header.Set("X-API-Key", "<your-api-key>")

	res, err := http.DefaultClient.Do(req)
	if err != nil {
		panic(err)
	}
	defer res.Body.Close()

	out, _ := io.ReadAll(res.Body)
	fmt.Println(string(out))
}
```
